package xhttp3.internal.cache;

import java.io.IOException;
import xio.Buffer;
import xio.ForwardingSink;
import xio.Sink;

class FaultHidingSink extends ForwardingSink {
   private boolean hasErrors;

   public FaultHidingSink(Sink delegate) {
      super(delegate);
   }

   public void write(Buffer source, long byteCount) {
      if (this.hasErrors) {
         source.skip(byteCount);
      } else {
         try {
            super.write(source, byteCount);
         } catch (IOException var4) {
            this.hasErrors = true;
            this.onException(var4);
         }

      }
   }

   public void flush() {
      if (!this.hasErrors) {
         try {
            super.flush();
         } catch (IOException var2) {
            this.hasErrors = true;
            this.onException(var2);
         }

      }
   }

   public void close() {
      if (!this.hasErrors) {
         try {
            super.close();
         } catch (IOException var2) {
            this.hasErrors = true;
            this.onException(var2);
         }

      }
   }

   protected void onException(IOException e) {
   }
}
